Package jebl.evolution.align

# Class SmithWatermanLinearSpace

java.lang.Object
jebl.evolution.align.Align
jebl.evolution.align.SmithWatermanLinearSpace

public class SmithWatermanLinearSpace extends Align

## Constructor Summary

Constructors
Constructor
Description
`SmithWatermanLinearSpace(Scores sub, float d)`

## Method Summary

Modifier and Type
Method
Description
`void`
`doAlignment(String sq1, String sq2)`
Performs the alignment.
`String[]`
`getMatch()`
`float`
`getScore()`
`Traceback`
`next(Traceback tb)`
Get the next state in the traceback
`void`
`prepareAlignment(String sq1, String sq2)`
Initialises the matrices for the alignment.
`void`
`printf(Output out)`
Print matrix used to calculate this alignment.
`void`
`traceback(TracebackPlotter plotter)`

### Methods inherited from class jebl.evolution.align.Align

`doMatch, doMatch, formatScore, setGapOpen, setScores`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SmithWatermanLinearSpace

public SmithWatermanLinearSpace(Scores sub, float d)

## Method Details

### doAlignment

public void doAlignment(String sq1, String sq2)
Performs the alignment. Abstract.

Parameters:
  `sq1` -
  `sq2` -

### getScore

public float getScore()

Returns:
  the score of the best alignment

### getMatch

public String[] getMatch()

Overrides:
  `getMatch` in class `Align`
Returns:
  two-element array containing an alignment with maximal score

### traceback

public void traceback(TracebackPlotter plotter)

Overrides:
  `traceback` in class `Align`

### prepareAlignment

public void prepareAlignment(String sq1, String sq2)
Description copied from class: `Align`
Initialises the matrices for the alignment.

Parameters:
  `sq1` -
  `sq2` -

### printf

public void printf(Output out)
Print matrix used to calculate this alignment.

Parameters:
  `out` - Output to print to.

### next

public Traceback next(Traceback tb)
Get the next state in the traceback

Overrides:
  `next` in class `Align`
Parameters:
  `tb` - current Traceback
Returns:
  next Traceback